summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLuca Bruno (Lethalman) <lethalman88@gmail.com>2008-01-10 20:42:39 +0000
committerLuca Bruno (Lethalman) <lethalman88@gmail.com>2008-01-10 20:42:39 +0000
commit9a01a83834b5f867c399bf8daf0af2b1de2fe906 (patch)
treec704c222bc40bb9ab0c557988e6dcf43959fff34 /dev-lang
parentnet-analyzer/symon: Fix hardcoded CC (diff)
downloadsunrise-9a01a83834b5f867c399bf8daf0af2b1de2fe906.tar.gz
sunrise-9a01a83834b5f867c399bf8daf0af2b1de2fe906.tar.bz2
sunrise-9a01a83834b5f867c399bf8daf0af2b1de2fe906.zip
dev-lang/syx: New EBuild
svn path=/sunrise/; revision=5373
Diffstat (limited to 'dev-lang')
-rw-r--r--dev-lang/syx/ChangeLog8
-rw-r--r--dev-lang/syx/Manifest4
-rw-r--r--dev-lang/syx/metadata.xml5
-rw-r--r--dev-lang/syx/syx-0.1.6.ebuild36
4 files changed, 53 insertions, 0 deletions
diff --git a/dev-lang/syx/ChangeLog b/dev-lang/syx/ChangeLog
new file mode 100644
index 000000000..702399507
--- /dev/null
+++ b/dev-lang/syx/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for dev-lang/syx
+# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 10 Jan 2008; Luca Bruno (Lethalman) <lethalman88@gmail.com> +metadata.xml,
+ +syx-0.1.6.ebuild:
+ New EBuild
+
diff --git a/dev-lang/syx/Manifest b/dev-lang/syx/Manifest
new file mode 100644
index 000000000..b663c17f4
--- /dev/null
+++ b/dev-lang/syx/Manifest
@@ -0,0 +1,4 @@
+DIST syx-0.1.6.tar.gz 709404 RMD160 d5baa89f88d376ab9035241c5da3a43602a802cc SHA1 6ff12663082e83de4d84cff7a709c3eeac83ad7b SHA256 89b365267d744383b23a4d3c5a6b2072a32c8d258d29d1b60ab256d1e9cdd8fb
+EBUILD syx-0.1.6.ebuild 920 RMD160 e84aac5ed0d4e2d5ce40fa9bfe215002674b9cf1 SHA1 81834d15462633dd2a9ead07a170725f329c80e7 SHA256 06f5c186dd5142db468e62c4f676c3aa4200c44babdb1c27403e9937e29c03be
+MISC ChangeLog 225 RMD160 e8adddd1fd8d46ba3a6132dd9f78b26691e2ecbe SHA1 6282580947d3788de6b1c46db3d55e06d3cae720 SHA256 6e21470b300aaf6dbd2b90320a50865f135f5f33056fb8875e08c817a3e972d9
+MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
diff --git a/dev-lang/syx/metadata.xml b/dev-lang/syx/metadata.xml
new file mode 100644
index 000000000..7e3286984
--- /dev/null
+++ b/dev-lang/syx/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>maintainer-wanted</herd>
+</pkgmetadata>
diff --git a/dev-lang/syx/syx-0.1.6.ebuild b/dev-lang/syx/syx-0.1.6.ebuild
new file mode 100644
index 000000000..95c9ccf34
--- /dev/null
+++ b/dev-lang/syx/syx-0.1.6.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+DESCRIPTION="Open source implementation of the Smalltalk-80 programming language."
+HOMEPAGE="http://syx.googlecode.com"
+SRC_URI="http://syx.googlecode.com/files/${P}.tar.gz"
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="gmp readline gtk X debug profile iprofile"
+
+RDEPEND="gmp? ( dev-libs/gmp )
+ readline? ( sys-libs/readline )
+ gtk? ( >=x11-libs/gtk+-2.12 )
+ X? ( x11-libs/libX11 )"
+
+src_compile() {
+ local myconf="$(use_enable gtk) \
+ $(use_enable readline) \
+ $(use_enable X x11)
+ $(use_enable profile)
+ $(use_enable iprofile) \
+ $(use_with gmp)"
+
+ use debug && myconf="${myconf} --enable-debug=info"
+
+ econf ${myconf} || die "Configure failed"
+
+ emake || die "Compile failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "Install failed"
+ dodoc README ChangeLog TODO
+} \ No newline at end of file